Bug 157590 - Fix port: irc/ratbox-services should use USERS
Summary: Fix port: irc/ratbox-services should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:30 UTC by Chris Rees
Modified: 2011-07-05 17:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 10:30:21 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--WehKJiYkBAGMqHz9eElbnITSZzKaeQdfTMpYKXpGYg4ZkWsj
Content-Type: text/plain; name="irc-ratbox-services.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="irc-ratbox-services.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/ratbox-services/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- Makefile	9 Aug 2010 16:25:55 -0000	1.13
+++ Makefile	2 Jun 2011 19:47:22 -0000
@@ -19,6 +19,9 @@
 
 USE_RC_SUBR=	ratbox-services.sh
 
+USERS=		ircd
+GROUPS=		${USERS}
+
 LOGDIR?=	/var/log
 RUNDIR?=	/var/run
 DBDIR?=		/var/db/${PORTNAME}
@@ -168,7 +171,6 @@
 			${WRKSRC}/tools/dbupgrade.pl
 
 pre-su-install:
-	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 	${MKDIR} ${DATADIR}/help
 
 post-install:
Index: files/pkg-install.in
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/ratbox-services/files/pkg-install.in,v
retrieving revision 1.3
diff -u -r1.3 pkg-install.in
--- files/pkg-install.in	9 Mar 2010 22:43:15 -0000	1.3
+++ files/pkg-install.in	2 Jun 2011 19:46:53 -0000
@@ -3,92 +3,11 @@
 # Adapted from irc/ircd-hybrid's script
 #
 
-ask() {
-	local question default answer
-
-	question=$1
-	default=$2
-	if [ -z "${PACKAGE_BUILDING}" ]; then
-		read -p "${question} [${default}]? " answer
-	fi
-	if [ x${answer} = x ]; then
-		answer=${default}
-	fi
-	echo ${answer}
-}
-
-yesno() {
-	local dflt question answer
-
-	question=$1
-	dflt=$2
-	while :; do
-		answer=$(ask "${question}" "${dflt}")
-		case "${answer}" in
-		[Yy]*)          return 0;;
-		[Nn]*)          return 1;;
-		esac
-		echo "Please answer yes or no."
-	done
-}
-
 #-----------------------------------------------------------------------
 if [ "x$2" = "xPRE-INSTALL" ]; then
 #-----------------------------------------------------------------------
 
-if which -s pw ; then
-	:
-else
-	cat <<EOF
-Your system does not include the "pw" utility.  You should upgrade
-to a newer version of FreeBSD.  Without "pw" this script will not
-run.
-EOF
-	exit 1
-fi
-
-echo ""
-if pw groupshow ircservices 2> /dev/null ; then
-	echo "You already have a group \"ircservices\", so I will use it."
-else
-	if pw groupshow 73 2> /dev/null ; then
-		echo "You already have a gid \"73\".  Please create a user \"ircservices\""
-		echo "with a default group of \"ircservices\"."
-		exit 1
-	fi
-	echo "You need a group \"ircservices\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw groupadd ircservices -g 73 || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		if ! pw usershow ircservices 2> /dev/null ; then
-			echo "While you're at it, please create a user \"ircservices\""
-			echo 'too, with a default group of "ircservices".'
-		fi
-		exit 1
-	fi
-fi
-
-if pw usershow ircservices 2> /dev/null ; then
-	echo "You already have a user \"ircservices\", so I will use it."
-else
-        if pw usershow 73 2> /dev/null ; then
-                echo "You already have a uid \"73\".  Please create a user \"irc
-d\""
-                echo "with a default group of \"ircservices\"."
-                exit 1
-        fi
-	echo "You need a user \"ircservices\"."
-	if which -s pw && yesno "Would you like me to create it" y; then
-		pw useradd ircservices -g ircservices -u 73 -h - -d /nonexistent \
-			-s /nonexistent -c "IRC services" || exit
-		echo "Done."
-	else
-		echo "Please create it, and try again."
-		exit 1
-	fi
-fi
+# ${DO_NADA}
 
 #-----------------------------------------------------------------------
 elif [ "x$2" = "xPOST-INSTALL" ]; then
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 10:32:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

pgollucci@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-06-04 10:32:43 UTC
Maintainer of irc/ratbox-services,

Please note that PR ports/157590 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157590

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-06-04 10:32:48 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 moggie 2011-06-16 22:40:33 UTC
Using USERS and GROUPS looks good, but this patch seems to want to use 
the 'ircd' username, which isn't correct. It should be changed to 
'rserv' instead.


On 04/06/2011 10:32, Edwin Groothuis wrote:
> Maintainer of irc/ratbox-services,
>
> Please note that PR ports/157590 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157590
>
Comment 5 Chris Rees freebsd_committer 2011-06-22 17:53:25 UTC
Responsible Changed
From-To: pgollucci->crees

Invalid autoassignment
Comment 6 Chris Rees freebsd_committer 2011-06-22 18:01:53 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To pool to correct assign message
Comment 7 Chris Rees freebsd_committer 2011-06-22 18:24:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Invalid autoassignment to pgollucci
Comment 8 Chris Rees freebsd_committer 2011-06-26 17:45:50 UTC
Thanks... you're absolutely right, I'm sorry about that.

I'll get it fixed shortly.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 9 Chris Rees freebsd_committer 2011-07-03 18:51:06 UTC
Hey Moggie,

http://www.bayofrum.net/~crees/patches/uids/irc-ratbox-services_2.patch

Please review and approve, thanks for noticing the mistake!

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 10 moggie 2011-07-04 15:51:35 UTC
Hi Chris,

This seems okay, thanks :)

Regards,
Moggie


On 03/07/2011 18:51, Chris Rees wrote:
> Hey Moggie,
>
> http://www.bayofrum.net/~crees/patches/uids/irc-ratbox-services_2.patch
>
> Please review and approve, thanks for noticing the mistake!
>
> Chris
>
Comment 11 Chris Rees freebsd_committer 2011-07-04 19:43:40 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 12 Chris Rees freebsd_committer 2011-07-05 17:40:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 13 dfilter service freebsd_committer 2011-07-05 17:40:15 UTC
crees       2011-07-05 16:40:02 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs 
    irc/ratbox-services  Makefile 
    irc/ratbox-services/files pkg-install.in 
  Log:
  ratbox-services now uses USERS and GROUPS
  
  PR:             ports/157590
  Approved by:    rene (mentor, implicit), Moggie <moggie@elasticmind.net> (maintainer)
  
  Revision  Changes    Path
  1.146     +2 -1      ports/GIDs
  1.14      +3 -1      ports/irc/ratbox-services/Makefile
  1.4       +1 -82     ports/irc/ratbox-services/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"